## gitlab 12.4.6

=== debian/changelog ===
gitlab (12.4.6-1) UNRELEASED; urgency=medium

  [ Pirate Praveen ]
  * Update minimum version of yarnpkg to 1.19~
  * Check if yarn cache directory is present before updating permissions
  * Update minimum version of git to 2.24~
  * New upstream version 12.3.8
  * Refresh patches
  * Remove EE only gems from Gemfile
  * Update minimum versions of ruby-graphql and ruby-fog-google
  * [Embedded dependencies] Remove snowplow-tracker and add
    elasticsearch-model, elasticsearch-rails,
    faraday-middleware-aws-signers-v4 and gitlab-peek
  * Update minimum versions of ruby-aws-sdk, ruby-gitlab-sidekiq-fetcher,
    ruby-jira, ruby-chronic-duration, ruby-prof, gitlab-shell
  * Relax dependency on kubeclient in Gemfile to allow 4.3
  * Remove gitlab-license gem from Gemfile (EE only)
  * Add new dependencies: ruby-net-ntp, ruby-unleash, ruby-net-dns,
    ruby-countries, ruby-elasticsearch as dependency

  [ Abhijith PA ]
  * New upstream version 12.3.9

  [ Pirate Praveen ]
  * New upstream version 12.4.6

 -- Pirate Praveen <praveen@debian.org>  Sat, 21 Dec 2019 21:04:50 +0530

gitlab (12.2.9-5) experimental; urgency=medium

  * Bump minimum version of ruby-font-awesome-rails to allow rails 5.2.3
  * Add patches for CVEs (Fixes: CVE-2019-19254, CVE-2019-19257)
  * Tighten dependency on gitlab-workhorse and gitaly (Fixes: CVE-2019-19260)
  * Set minimum version of ruby-gitlab-labkit as 0.5~ (for gitaly 1.65.2)

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 Nov 2019 12:10:38 +0530

gitlab (12.2.9-4) experimental; urgency=medium

  * Update node-d3 to version 5.12 (required to update rollup to 1.x)

 -- Pirate Praveen <praveen@debian.org>  Fri, 22 Nov 2019 21:25:38 +0530

gitlab (12.2.9-3) experimental; urgency=medium

  [ Dmitry Smirnov ]
  * Revert "Add sp.js to debian/missing-sources"

  [ Pirate Praveen ]
  * Add gitlab-rails-console command as a convenience script
  * Update minimum version for rm_confifile maintscript option

  [ Utkarsh Gupta ]
  * Add patch to bump rubyzip (Closes: #944906)

  [ Pirate Praveen ]
  * Bump minimum version of ruby-zip to 2.0 to match Gemfile

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Nov 2019 13:16:32 +0530

gitlab (12.2.9-2) experimental; urgency=medium

  * Change .cache/yarn/v4 -> .cache/yarn/v6
  * Add sp.js to debian/missing-sources

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 02 Nov 2019 01:40:43 +0530

gitlab (12.2.9-1) experimental; urgency=high

  * New upstream version 12.2.9 (Fixes: CVE-2019-18446 CVE-2019-18447
    CVE-2019-18448 CVE-2019-18449 CVE-2019-18450 CVE-2019-18451
    CVE-2019-18452 CVE-2019-18453 CVE-2019-18454 CVE-2019-18455
    CVE-2019-18457 CVE-2019-18458 CVE-2019-18459 CVE-2019-18460
    CVE-2019-18461 CVE-2019-18462 CVE-2019-18463)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Thu, 31 Oct 2019 01:43:16 +0530

gitlab (12.2.8-2) experimental; urgency=medium

  [ Dmitry Smirnov ]
  * CI: new lintian job + minor corrections
  * CI: re-factored

  [ Pirate Praveen ]
  * Update minimum versions of bundler and nodejs
  * Update minimum versions of gitaly, gitlab-workhorse and gitlab-shell

 -- Pirate Praveen <praveen@debian.org>  Thu, 24 Oct 2019 23:47:12 +0530

gitlab (12.2.8-1) experimental; urgency=medium

  [ Dmitry Smirnov ]
  * CI: unpack MUT components

  [ Sruthi Chandran ]
  * New upstream version 12.2.8
  * Update deps
  * Embed snowplow-tracker as component
  * Use system ruby-statistics
  * Add contracts, dependency of embedded snowplow in dependencies
  * Refresh patches and delete obselete patches
  * Remove old config files

  [ Pirate Praveen ]
  * Add ruby-invisible-captcha as dependency
  * Tighten dependency on ruby-gitlab-labkit
  * Remove obsolete conf file: initializers/postgresql_opclasses_support.rb

 -- Sruthi Chandran <srud@debian.org>  Sun, 20 Oct 2019 22:59:27 +0530

gitlab (12.1.14-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * Add node-core-js (<< 3~) constraint to use embedded core-js module
    (Closes: #941909)

  [ Utkarsh Gupta ]
  * New upstream version 12.1.14
  * Bump Standards-Version to 4.4.1

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Mon, 07 Oct 2019 21:29:31 +0530

gitlab (12.1.13-2) experimental; urgency=medium

  * Fix last version of initializers/active_record_verbose_query_logs.rb (this
    fixes the failure during installation)

 -- Pirate Praveen <praveen@debian.org>  Sat, 05 Oct 2019 23:08:35 +0530

gitlab (12.1.13-1) experimental; urgency=medium

  [ Sruthi Chandran ]
  * New upstream version 12.1.13
  * Refresh patches and delete patches already applied upstream
  * Remove already packaged embedded modules (arel, gitlab-labkit, jwt,
    omniauth-google-oauth2 and rails)
  * Add patch to relax gitlab-labkit
  * Add derailed_benchmarks, heapy and ruby-statistics gems as components

  [ Pirate Praveen ]
  * Tighten dependencies
  * Fix relative path in config/initializers
  * Set path for gitlab.rb
  * Remove obsolete initializers

  [ Dmitry Smirnov ]
  * Added helper script to unpack MUT components; CI orig tarball handling correction.

 -- Sruthi Chandran <srud@debian.org>  Sat, 05 Oct 2019 12:15:28 +0530

gitlab (12.0.9-4) experimental; urgency=medium

  * Update minimum version of gitaly to 1.47.3

 -- Pirate Praveen <praveen@debian.org>  Fri, 27 Sep 2019 22:46:22 +0530

gitlab (12.0.9-3) experimental; urgency=medium

  * Update watch file (gitlab-ce is now gitlab-foss)
  * Add core-js 3 as component (require transition)

 -- Pirate Praveen <praveen@debian.org>  Wed, 25 Sep 2019 15:52:54 +0530

gitlab (12.0.9-2) experimental; urgency=medium

  * Add patch to bump asciidoctor (Closes: #940814)
  * Update minimum version for asciidoctor and ruby-octokit

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Mon, 16 Sep 2019 22:37:08 +0530

gitlab (12.0.9-1) experimental; urgency=high

  * Team Upload
  * New upstream version 12.0.9 (Closes: #940007)
    (Fixes: CVE-2019-16170)

 -- Nilesh <npatra974@gmail.com>  Wed, 11 Sep 2019 10:12:18 -0400


