=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with=systemd

override_dh_install:
	dh_install -XLICENSE
	# Make sure we are installing all required files in debian/install
	sh debian/upstream-file-count-check.sh
	rm -rf debian/gitlab/usr/share/gitlab/tmp/*
	rm -rf debian/gitlab/usr/share/gitlab/spec/javascripts/.eslintrc
	rm -rf debian/gitlab/usr/share/gitlab/spec/frontend/.eslintrc.yml
	mv debian/gitlab/usr/share/gitlab/app/assets/javascripts/locale \
	debian/gitlab/usr/share/gitlab/app/assets/javascripts/locale.static
	mv debian/gitlab/var/lib/gitlab/db/schema.rb debian/gitlab/var/lib/gitlab/db/schema.rb.template
	sed -i 's/__NEW_VERSION__/${DEB_VERSION}/g' debian/gitlab/usr/lib/gitlab/templates/gitlab-debian.conf.example

override_dh_installinit:
	dh_installinit --no-start -p gitlab --name=gitlab-sidekiq
	dh_installinit --no-start -p gitlab --name=gitlab-unicorn
	dh_installinit --no-start -p gitlab --name=gitlab-mailroom
	dh_installinit --no-start -p gitlab --name=gitlab-workhorse
	dh_installinit

override_dh_systemd_start:
	dh_systemd_start --no-start
