=== debian/watch ===
version=4
opts="\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*v(.*)\/.*/gitlab-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*(\~)*(rc)*(\d)*$/$1$3$4$5/ \
" https://gitlab.com/gitlab-org/gitlab-foss/tags .*/gitlab-foss-v(\d[\d.]*)\.tar\.gz debian

opts="searchmode=plain,pgpmode=none,component=core-js" \
https://registry.npmjs.org/core-js \
https://registry.npmjs.org/core-js/-/core-js-(3.[\d\.]*)@ARCHIVE_EXT@ ignore

opts="pgpmode=none,component=derailed-benchmarks" \
https://gemwatch.debian.net/derailed_benchmarks .*/derailed_benchmarks-(.*).tar.gz ignore

opts="pgpmode=none,component=heapy" \
https://gemwatch.debian.net/heapy .*/heapy-(.*).tar.gz ignore

opts="pgpmode=none,component=elasticsearch-model" \
https://gemwatch.debian.net/elasticsearch-model .*/elasticsearch-model-(0.1.*).tar.gz ignore

opts="pgpmode=none,component=elasticsearch-model" \
https://gemwatch.debian.net/elasticsearch-model .*/elasticsearch-rails-(0.1.*).tar.gz ignore

opts="pgpmode=none,component=faraday-middleware-aws-signers-v4" \
https://gemwatch.debian.net/faraday_middleware-aws-signers-v4 .*/faraday_middleware-aws-signers-v4-(0.1.*).tar.gz ignore

opts="pgpmode=none,component=gitlab-peek" \
https://gemwatch.debian.net/gitlab-peek .*/gitlab-peek-(.*).tar.gz ignore
