## gitlab 15.5.4+ds3

=== debian/changelog ===
gitlab (15.5.4+ds3-4) experimental; urgency=medium

  * Team Upload.
  * Set "Rules-Requires-Root: no" to circumvent debhelper bug, see
    https://lists.debian.org/debian-devel/2022/12/msg00108.html
  * Remove dead symlink, choking build

 -- Nilesh Patra <nilesh@debian.org>  Thu, 15 Dec 2022 21:39:00 +0000

gitlab (15.5.4+ds3-3) experimental; urgency=medium

  * Relax dependency on gitlab-labkit (to match gitaly)

 -- Pirate Praveen <praveen@debian.org>  Mon, 12 Dec 2022 21:45:29 +0530

gitlab (15.5.4+ds3-2) experimental; urgency=medium

  * Update minimum version of gitaly and ruby-gitaly to 15.5~

 -- Pirate Praveen <praveen@debian.org>  Mon, 12 Dec 2022 15:39:12 +0530

gitlab (15.5.4+ds3-1) experimental; urgency=medium

  * Update minimum version of puma and ruby-omniauth
  * Restore using yaml from system for older nodejs compat
  * Tighten node-lodash version for nodejs:any fix
  * New upstream version 15.5.4+ds1
  * New upstream version 15.5.4+ds2 (vendor grpc 1.51)
  * New upstream version 15.5.4+ds3 (update vendored gitaly to v15)
  * Use openssl from the archive (patch Gemfile)
  * Update dependencies in control and in postinst
  * Remove obsolete initializer
  * Add node-yaml to dependencies
  * Use node-katex from system (patch package.json)

 -- Pirate Praveen <praveen@debian.org>  Thu, 08 Dec 2022 16:48:03 +0530

gitlab (15.4.2+ds1-1) experimental; urgency=medium

  * New upstream version 15.4.2+ds1
  * Refresh patches
  * Gemfile.checksum is shipped by upstream now
  * Update dependencies
  * Remove obsolete feature flags

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Oct 2022 16:01:52 +0530

gitlab (15.3.4+ds1-1) experimental; urgency=medium

  * Drop elasticsearch-rails component (gem installed in postinst)
  * New upstream version 15.3.4+ds1 (Fixes: CVE-2022-3283, CVE-2022-3060,
    CVE-2022-2904, CVE-2022-3018, CVE-2022-3291, CVE-2022-3067, CVE-2022-2882,
    CVE-2022-3066, CVE-2022-3286, CVE-2022-3285, CVE-2022-3330, CVE-2022-3351,
    CVE-2022-3288, CVE-2022-3293, CVE-2022-3279, CVE-2022-3325)

 -- Pirate Praveen <praveen@debian.org>  Sun, 02 Oct 2022 17:21:01 +0530

gitlab (15.3.2+ds1-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * New upstream version 15.3.2+ds1

  [ Pirate Praveen ]
  * Adjust gitlab-labkit version to 0.24.0 in postinst

  [ Mohammed Bilal ]
  * Refresh patches
  * Add patch to include babel plugins
  * install danger gem from rubygems.org

  [ Pirate Praveen ]
  * Use packaged versions of aws-sdk*, rack-oauth2 and redis-actionpack

 -- Pirate Praveen <praveen@debian.org>  Wed, 14 Sep 2022 22:59:02 +0530

gitlab (15.3.1+ds1-2) experimental; urgency=medium

  * Update minimum version of ruby-oj

 -- Pirate Praveen <praveen@debian.org>  Mon, 29 Aug 2022 19:42:56 +0530

gitlab (15.3.1+ds1-1) experimental; urgency=medium

  * Use packaged versions of ruby-asana and ruby-fog-aws
  * New upstream version 15.3.1+ds1 (drop github.com/alecthomas/chroma
    from workhorse-vendor as upstream switched to v2 and it is packaged)
  * Refresh patches
  * Handle changes in upstream file list
  * Drop node-codemirror as dependency
  * Add .gitattributes entry for handling cross platform text files
  * Update minimum versions and install unsatisfied gems from rubygems.org
  * Remove obsolete feature flag

 -- Pirate Praveen <praveen@debian.org>  Sun, 28 Aug 2022 22:09:10 +0530

gitlab (15.2.3+ds1-2) experimental; urgency=medium

  * Team upload.
  * Update minimum version of yamux in runtime dependency

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 26 Aug 2022 00:19:34 +0530

gitlab (15.2.3+ds1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 15.2.3+ds1
  * d/README.source: Add info regarding gitlab-workhorse

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 25 Aug 2022 20:52:55 +0530

gitlab (15.2.2+ds1-6) experimental; urgency=medium

  * Add workhorse-vendor in upstream-file-list

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Aug 2022 00:40:17 +0530

gitlab (15.2.2+ds1-5) experimental; urgency=medium

  * Fix arch:all build by separating dh overrides for gitlab and
    gitlab-workhorse (thanks to Nilesh for help in troubleshooting and
    reviewing changes)

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Aug 2022 00:29:53 +0530

gitlab (15.2.2+ds1-4) experimental; urgency=medium

  * Remove obsolete initializers (Closes: #1014904) Thanks to Patrick Matthäi
    and Heinrich Lee Yu

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Aug 2022 21:16:43 +0530

gitlab (15.2.2+ds1-3) experimental; urgency=medium

  * Use more packaged ruby gem dependencies (Closes: #1017701)

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Aug 2022 14:06:43 +0530

gitlab (15.2.2+ds1-2) experimental; urgency=medium

  * Use packaged version of ruby-gitlab-fog-azure-rm
  * Install omniauth-oauth2 1.7.3 from rubygems.org
  * Use packaged versions of graphql and gitlab-labkit

 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Aug 2022 22:39:58 +0530

gitlab (15.2.2+ds1-1) experimental; urgency=medium

  * New upstream version 15.2.2+ds1
  * Refresh patches
  * Update (build) dependencies
  * Install more gems directly from rubygems.org
  * Remove obsolete initializer

 -- Pirate Praveen <praveen@debian.org>  Sun, 14 Aug 2022 22:23:08 +0530

gitlab (15.1.4+ds1-1) experimental; urgency=medium
  
  [ Pirate Praveen ]
  * Update minimum version of ruby-bootsnap to 1.9.4
  * New upstream version 15.1.3+ds1

  [ Balasankar C]
  * Install ActionCable configuration file (Closes: #1015303)

  [ Pirate Praveen ]
  * New upstream version 15.1.4+ds1
  * Refresh patches
  * Add debian/salsa-ci.yml
  * Switched to golang-go from golang-any as work around (Closes #1016217)
  * Install patches directory now present upstream
  * Install more new gems from rubygems.org (packaged versions need update)
  * Update dependencies
  * Remove obsolete initializers/00_active_record_gitlab_schema.rb
    (Closes: #1016965)


