=== debian/control ===
Source: gitlab
Section: net
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>,
 Pirate Praveen <praveen@debian.org>,
 Balasankar C <balasankarc@debian.org>,
 Sruthi Chandran <srud@debian.org>,
 Utkarsh Gupta <utkarsh@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               dh-golang,
# See #1016217 (gccgo and x/net don't work well together right now)
#               golang-any (>= 2:1.17~),
               golang-go (>= 2:1.17~),
               bc,
               golang-github-alecthomas-chroma-v2-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-azure-azure-storage-blob-go-dev (>= 0.10~),
               golang-github-beorn7-perks-dev,
               golang-github-client9-reopen-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
               golang-github-disintegration-imaging-dev,
               golang-github-fzambia-sentinel-dev,
               golang-github-garyburd-redigo-dev,
               golang-github-golang-jwt-jwt-dev,
               golang-github-google-uuid-dev,
               golang-github-golang-protobuf-1-5-dev,
               golang-github-getsentry-raven-go-dev (>= 0.2~),
               golang-github-gomodule-redigo-dev,
# protobuf-1-5
#               golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
               golang-github-hashicorp-yamux-dev (>= 0.0+git20210316.a95892c~),
               golang-github-jfbus-httprs-dev,
                 golang-github-jtolds-gls-dev (>= 4.20~),
               golang-github-jpillora-backoff-dev,
               golang-github-mitchellh-copystructure-dev,
               golang-github-mitchellh-reflectwalk-dev,
               golang-github-pmezard-go-difflib-dev,
# protobuf-1-5
#               golang-github-prometheus-client-golang-dev,
                  golang-github-cespare-xxhash-dev,
#               golang-github-prometheus-client-model-dev,
#               golang-github-prometheus-common-dev,
               golang-github-ryszard-goskiplist-dev,
               golang-github-sebest-xff-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev (>= 1.4~),
               golang-gitlab-gitlab-org-gitaly-dev (>= 15.5~),
                 golang-github-beevik-ntp-dev,
# protobuf-1-5
#               golang-gitlab-gitlab-org-labkit-dev (>= 1.14~),
                  golang-github-oklog-ulid-dev,
#               golang-gocloud-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~),
# protobuf-1-5
#               golang-google-genproto-dev,
               golang-honnef-go-tools-dev,
               golang-procfs-dev,
# protobuf-1-5
#               golang-protobuf-extensions-dev,
               golang-toml-dev,
               golang-websocket-dev,
# protobuf-1-5
#               golang-google-grpc-dev (>= 1.38~),
               libimage-exiftool-perl
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/ruby-team/gitlab.git
Vcs-Browser: https://salsa.debian.org/ruby-team/gitlab
Homepage: https://about.gitlab.com/
XS-Ruby-Versions: all
XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab
Rules-Requires-Root: no

Package: gitlab
Section: contrib/net
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends},
 gitlab-common (>= 15.1~),
 ruby (>= 1:2.7~),
   rubygems-integration (>= 1.18~),
 lsb-base (>= 3.0-6),
 rake (>= 12.3.0~),
 bundler (>= 1.17.3~),
 postgresql-client,
 postgresql-contrib (>= 12~),
 dbconfig-pgsql | dbconfig-no-thanks,
 bc,
 redis-server (>= 5:6.0.12~),
# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=956211
 nodejs (>= 12~),
 nginx | httpd,
 default-mta | postfix | exim4 | mail-transport-agent,
 openssh-client,
 bzip2,
 ucf,
 gitlab-workhorse (>= ${source:Version}),
 ruby-rails (>= 2:6.1.6.1~),
   ruby-websocket-extensions (>= 0.1.5~),
 ruby-bootsnap (>= 1.13~),
 ruby-responders (>= 3.0~),
 ruby-sprockets (>= 3.7~),
 ruby-view-component (>= 2.71~),
 ruby-default-value-for (>= 3.4~),
#ruby-mysql2 | ruby-pg,
 ruby-pg (>= 1.4.3~),
 ruby-rugged (>= 1.2~),
 ruby-grape-path-helpers (>= 1.7.1~),
 ruby-faraday (>= 1.0~),
 ruby-marginalia (>= 1.11.1~),
# Authorization
 ruby-declarative-policy (>= 1.1),
# Authentication libraries
 ruby-devise (>= 4.8.1~),
 ruby-bcrypt (>= 3.1.14~),
 ruby-doorkeeper (>= 5.5~),
 ruby-doorkeeper-openid-connect (>= 1.7.5~),
 ruby-rexml (>= 3.2.3.1~),
 ruby-saml (>= 1.13~),
 ruby-omniauth (>= 2.1~),
 ruby-omniauth-auth0 (>= 2.0~),
 ruby-omniauth-azure-activedirectory-v2 (>= 2.0~),
 ruby-omniauth-azure-oauth2 (>= 0.0.10~),
 ruby-omniauth-cas3 (>= 1.1.4~),
 ruby-omniauth-dingtalk-oauth2 (>= 1.0.1~),
 ruby-omniauth-alicloud (>= 2.0~),
 ruby-omniauth-facebook (>= 4.0~),
 ruby-omniauth-github (>= 2.0.1~),
 ruby-omniauth-gitlab (>= 1.0.2~),
 ruby-omniauth-google-oauth2 (>= 0.6~),
 ruby-omniauth-kerberos (>= 0.3.0-3~),
 ruby-omniauth-oauth2-generic (>= 0.2.2~),
 ruby-omniauth-saml (>= 2.0~),
 ruby-omniauth-shibboleth (>= 1.3~),
 ruby-omniauth-twitter (>= 1.4~),
   ruby-omniauth-oauth (>= 1.2~),
 ruby-omniauth-crowd (>= 2.2~),
 ruby-omniauth-authentiq (>= 0.3.3~),
 ruby-omniauth-openid-connect (>= 0.10~),
 ruby-omniauth-salesforce (>= 1.0.5~),
 ruby-omniauth-atlassian-oauth2 (>= 0.2.0~),
 ruby-rack-oauth2 (>= 1.21.3~),
 ruby-jwt (>= 2.1~),
# Spam and anti-bot protection
 ruby-recaptcha (>= 4.11~),
 ruby-akismet (>= 3.0~),
 ruby-invisible-captcha (>= 1.1~),
# Two-factor authentication
 ruby-devise-two-factor (>= 4.0.2~),
 ruby-rqrcode-rails3 (>= 0.1.7-2~),
   ruby-rqrcode (>= 1.2~),
 ruby-attr-encrypted (>= 3.1.0-3~),
 ruby-u2f (>= 0.2.1~),
# GitLab Pages
 ruby-validates-hostname (>= 1.0.11~),
 ruby-zip (>= 2.3.2~),
# GitLab Pages letsencrypt support
 ruby-acme-client (>= 2.0.9~),
# Browser detection
 ruby-browser (>= 4.2~),
# OS detection for usage ping
 ohai (>= 16.13.0-2~),
# GPG
 ruby-gpgme (>= 2.0.19~),
# LDAP Auth
 ruby-omniauth-ldap (>= 2.2~),
   ruby-ntlm (>= 0.6.1~),
 ruby-net-ldap (>= 0.16.3~),
# API
 ruby-grape (>= 1.5.1~),
 ruby-grape-entity (>= 0.10~),
 ruby-rack-cors (>= 1.0.6~),
# GraphQL API
 ruby-graphql (>= 1.13.12~),
 ruby-graphiql-rails (>= 1.4.10~),
 ruby-apollo-upload-server (>= 2.1~),
# Used by BulkImport feature (group::import)
 ruby-graphlient (>= 0.4.0),
# Disable strong_params so that Mash does not respond to :permitted?
 ruby-hashie-forbidden-attributes,
# Pagination
 ruby-kaminari (>= 1.2.1~),
# HAML
 ruby-hamlit (>= 2.15~),
# Files attachments
 ruby-carrierwave (>= 1.3.2~),
 ruby-mini-magick (>= 4.10.1~),
# for backups
 ruby-fog-aws (>= 3.14~),
 ruby-fog-core (>= 2.1~),
   ruby-excon (>= 0.72~),
 ruby-fog-google (>= 1.15~),
 ruby-fog-local (>= 0.6~),
 ruby-fog-openstack (>= 1.0~),
 ruby-fog-rackspace (>= 0.1.1~),
 ruby-fog-aliyun (>= 0.3~),
 ruby-gitlab-fog-azure-rm (>= 1.3~),
   ruby-azure-storage-blob (>= 2.0.0-3~),
   ruby-azure-storage-common (>= 2.0.1-5~),
# for Google storage
 ruby-google-api-client (>= 0.44.2~),
# for aws storage
 ruby-unf (>= 0.1.4-2~),
   ruby-unf-ext (>= 0.0.7.4),
# Seed data
 ruby-seed-fu (>= 2.3.7~),
# Search
 ruby-elasticsearch-model (>= 7.2~),
 ruby-elasticsearch (>= 5.0.3~),
 ruby-elasticsearch-rails (>= 7.2~),
 ruby-elasticsearch-api (>= 7.13.3~),
 ruby-aws-sdk-core (>= 3.159~),
 ruby-aws-sdk-cloudformation (>= 1.0~),
 ruby-aws-sdk-s3 (>= 1.114~),
 ruby-faraday-middleware-aws-sigv4,
 ruby-typhoeus (>= 1.4~),
# Markdown and HTML processing
 ruby-html-pipeline (>= 2.13.2~),
 ruby-task-list (>= 2.3.1~),
 ruby-gitlab-markup,
 ruby-github-markup (>= 1.7~),
 ruby-commonmarker (>= 0.23.6~),
 ruby-kramdown (>= 2.3.1~),
 ruby-redcloth (>= 4.3.2-3~),
# rdoc is built-in with ruby
 ruby-org (>= 0.9.12-2~),
 ruby-creole (>= 0.5.0~),
 ruby-wikicloth (>= 0.8.1~),
 asciidoctor (>= 2.0.17~),
 ruby-asciidoctor-include-ext (>= 0.4~),
 ruby-asciidoctor-plantuml (>= 0.0.16~),
 ruby-asciidoctor-kroki (>= 0.5~),
 ruby-rouge (>= 3.29~),
 ruby-truncato (>= 0.7.12~),
 ruby-bootstrap-form (>= 4.2~),
 ruby-nokogiri (>= 1.13.8~),
 ruby-escape-utils (>= 1.2.1~),
# Calendar rendering
 ruby-icalendar,
# Diffs
 ruby-diffy (>= 3.4~),
 ruby-diff-match-patch (>= 0.1~),
# Application server
 ruby-rack (>= 2.2.4~),
 ruby-rack-timeout (>= 0.6.0~),
 puma (>= 5.6.5~),
 ruby-puma-worker-killer (>= 0.3.1~),
 ruby-sd-notify,
# State machine
 ruby-state-machines-activerecord (>= 0.8~),
   ruby-state-machines-activemodel (>= 0.7.1~),
# Issue tags
 ruby-acts-as-taggable-on (>= 9.0~),
# Background jobs
 ruby-sidekiq (>= 6.4~),
 ruby-sidekiq-cron (>= 1.8~),
 ruby-redis-namespace (>= 1.8.1~),
 ruby-gitlab-sidekiq-fetcher (>= 0.8~),
# Cron Parser
 ruby-fugit (>= 1.2.1~),
# HTTP requests
 ruby-httparty (>= 0.16.4~),
# Colored output to console
 ruby-rainbow (>= 3.0~),
# Progress bar
 ruby-progressbar (>= 1.10~),
# GitLab settings
 ruby-settingslogic (>= 2.0.9~),
# Linear-time regex library for untrusted regular expressions
 ruby-re2 (>= 1.5~),
# Misc
 ruby-version-sorter (>= 2.2.4~),
# Export Ruby Regex to Javascript
 ruby-js-regex (>= 3.7~),
# User agent parsing
 ruby-device-detector,
# Redis
 ruby-redis (>= 4.7~),
 ruby-connection-pool (>= 2.0~),
# Redis session store
 ruby-redis-actionpack (>= 5.3~),
# Discord integration
 ruby-discordrb-webhooks (>= 3.4~),
# JIRA integration
 ruby-jira (>= 2.1.4~),
# Flowdock integration
 ruby-flowdock (>= 0.7~),
   ruby-posix-spawn (>= 0.3.13~),
# Slack integration
 ruby-slack-messenger (>= 2.3.3~),
# Hangouts Chat integration
 ruby-hangouts-chat (>= 0.0.5),
# Asana integration
 ruby-asana (>= 0.10.13~),
# FogBugz integration
 ruby-fogbugz (>= 0.2.1-3~),
# Kubernetes integration
 ruby-kubeclient (>= 4.9.3~),
   ruby-recursive-open-struct (>= 1.1.1~),
   ruby-http (>= 4.4~),
# Sanitize user input
 ruby-sanitize (>= 6.0~),
 ruby-babosa (>= 1.0.3~),
# Sanitizes SVG input
 ruby-loofah (>= 2.19~),
# Working with license
 ruby-licensee (>= 9.14.1~),
# Protect against bruteforcing
 ruby-rack-attack (>= 6.6.1~),
# Ace editor
 ruby-ace-rails-ap (>= 4.1~),
# Detect and convert string character encoding
 ruby-charlock-holmes (>= 0.7.5~),
# Detect mime content type from content
 ruby-ruby-magic (>= 0.5~),
# Faster blank
 ruby-fast-blank,
# Parse time & duration
 ruby-gitlab-chronic (>= 0.10.5~),
 ruby-gitlab-chronic-duration (>= 0.10.6.2~),
#
 ruby-webpack-rails (>= 0.9.10~),
# Many node modules are still in NEW, some are yet to be packaged
# so we use yarn to downlod those and hence gitlab is in contrib
 yarnpkg (>= 1.22.4~),
 ruby-rack-proxy (>= 0.7.4~),
#
 ruby-sassc-rails (>= 2.1~),
   ruby-sassc (>= 2.0~),
 ruby-autoprefixer-rails (>= 10.2.5.1~),
 ruby-terser (>= 1.0.2~),
#
 ruby-addressable (>= 2.8~),
 ruby-tanuki-emoji (>= 0.6~),
 ruby-gon (>= 6.4~),
 ruby-request-store (>= 1.5~),
 ruby-virtus (>= 1.0.5-3~),
 ruby-base32 (>= 0.3.0~),
# Sentry integration
 ruby-sentry-raven (>= 3.1~),
 ruby-sentry-ruby (>= 5.1.1~),
 ruby-sentry-rails (>= 5.1.1~),
 ruby-sentry-sidekiq (>= 5.1.1~),
# PostgreSQL query parsing
 ruby-pg-query (>= 2.1.4~),
#
 ruby-premailer-rails (>= 1.10.3-2~),
# LabKit: Tracing and Correlation
 ruby-gitlab-labkit (>= 0.25~),
# Thrift is a dependency of gitlab-labkit, we want a version higher than 0.14.0
# because of https://gitlab.com/gitlab-org/gitlab/-/issues/321900
 ruby-thrift (>= 0.16~),
# I18n
 ruby-ruby-parser (>= 3.15~),
 ruby-whitequark-parser (>= 3.0~),
 ruby-rails-i18n (>= 7.0~),
 ruby-gettext-i18n-rails (>= 1.8~),
 ruby-gettext-i18n-rails-js (>= 1.3~),
   ruby-gettext (>= 3.3.3~),
#
 ruby-batch-loader (>= 2.0.1~),
# Perf bar
 ruby-peek (>= 1.1~),
# Snowplow events tracking
 ruby-snowplow-tracker (>= 0.6.1~),
# Memory benchmarks
 ruby-derailed-benchmarks,
# Metrics
 ruby-method-source (>= 1.0~),
 ruby-webrick (>= 1.6.1~),
 ruby-prometheus-client-mmap (>= 0.16.2~),
#
 ruby-warning (>= 1.3~),
#
